#include <iostream>
#include <vector>

using namespace std;

long long pc(long long a){
    long long res = 1;
    for(; a != 0; a /= 10){
        res *= (a % 10);
    }
    return res;
}

long long abaskus(long long n){
    long long res = 0;
    vector<bool> p(n + 1, false);
    for(long long i = 1; i < n + 1; i++){
        long long cur = pc(i);
        if(!p[cur]){
            res++;
            p[i] = true;
        }
    }
    return res;
}


int main()
{
    int T;
    cin >> T;
    long long N;
    while(T--){
        cin >> N;
        cout << abaskus(N) << '\n';
    }
}